## mingw-w64-python-absl-py-2.2.0-1.src.tar.zst

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#
# To generate html docs locally:
#   Recommend doing this from a virtual environment:
#   $ sudo apt-get install virtualenv python3-venv
#   $ virtualenv myproject  # or python3 -m venv myproject
#   $ source myproject/bin/activate
#
#   Then install sphinx packages (if running locally)
#   $ pip install m2r2
#   $ pip install sphinxcontrib-apidoc
#   $ pip install sphinx-rtd-theme
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SOURCEDIR      = ../absl
RSTDIR         = source
HTMLDIR        = build
HTMLDIR      = build
# If you change the conf.py apidoc_excluded_paths, you need to update
# the excluded paths in APIDOC_EXCLUDE too.  The paths are relative
# to the docs/ directory (if you want to filter out absl/tests you need
# to use "../*/tests".)
APIDOC_EXCLUDE = ../*/*/tests/* ../*/tests/*
SPHINXBUILD   ?= sphinx-build
SPHINXAPIDOC  ?= sphinx-apidoc

# Build .rst files for all Python sources in SOURCEDIR.
# This rule isn't called by readthedocs, its only used for manual testing.
rstfiles:
	@$(SPHINXAPIDOC) -o $(RSTDIR) $(SOURCEDIR) $(APIDOC_EXCLUDE)

# Run after "make rstfiles"
# You can review sphinx generated files in docs/build directory.
htmlfiles:
	@$(SPHINXBUILD) -b html -c $(RSTDIR) $(RSTDIR) $(HTMLDIR)

=== PKGBUILD ===
# Maintainer: gym603 <gui_yuan_miao@163.com>

_realname=absl-py
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=2.2.0
pkgrel=1
pkgdesc="Abseil Common Libraries (Python) (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/abseil/abseil-py"
msys2_references=(
  'archlinux: python-absl'
  'purl: pkg:pypi/absl-py'
)
license=('spdx:Apache-2.0')
depends=("${MINGW_PACKAGE_PREFIX}-python")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-setuptools")
source=("https://pypi.org/packages/source/${_realname::1}/${_realname/-/_}/${_realname/-/_}-${pkgver}.tar.gz")
sha256sums=('2aabeae1403380e338fba88d4f8c9bf9925c20ad04c1c96d4a26930d034c507b')

build() {
  cp -r "${_realname/-/_}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}"/python-build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
